#ifndef __MAIN_H
#define __MAIN_H

#define bitset(var,bitno) ((var) |= 1UL << (bitno))
#define bitclr(var,bitno) ((var) &= ~(1UL << (bitno)))
#define isset(var,bitno) ( ( ((var) << (15-bitno)) >> 15 ) ? 1 : 0 )
#define set16(hi,lo,v) hi = (char)(v >> 8); lo = (char)v;

#define STATUSLED RB0
#define TRISSTATUSLED TRISB0
#define COMMLEDFLASHCOUNT 2

#define POT RA0
#define TRISPOT TRISA0
#define ANSPOT ANS0

#define CWBUTTON RC2
#define CCWBUTTON RC3
#define TRISCWBUTTON TRISC2
#define TRISCCWBUTTON TRISC3

#define SILENT 1
#define VERBOSE 0
#define WITHJITTER 1
#define WITHOUTJITTER 0

// config
#define STRINGLENGTH 25
#define ROTATEMINVAL 50
#define ROTATEMAXVAL 900
#define MAXADERROR 2
#define MAXJITTER 3

#define VERSION "0.1.4"

#endif
